<?php

namespace Concrete\Package\AbCountdown\Block\AbCountdown;

/**
 * ab_countdown package for Concrete5
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_countdown
 */

class Controller extends \Concrete\Core\Block\BlockController
{
    
    protected $btWrapperClass = 'ccm-ui';
    protected $btInterfaceWidth = "600";
    protected $btInterfaceHeight = "400";
    protected $btTable = 'btAbCountdown';
    
    public function getBlockTypeDescription() 
    {
        return t("Add Countdown Timer block");
    }

    public function getBlockTypeName() 
    {
        return t("Countdown Timer");
    }

    public function getBlockUID($b = null) {
        if ($b == null) return null;
        $proxyBlock = $b->getProxyBlock();
        return $proxyBlock? $proxyBlock->getBlockID() : $b->bID;
    }
    
    public function registerViewAssets($outputContent = '')
    {
        $al = \Concrete\Core\Asset\AssetList::getInstance();
        $al->register('javascript', 'jquery.countdown', 'blocks/ab_countdown/js/jquery.countdown.min.js', array('version' => '2.2.0'), 'ab_countdown');
        $this->requireAsset('javascript', 'jquery.countdown');
        $this->requireAsset('javascript', 'jquery');
    }
    
    public function on_start() {
        $this->set('app', $this->app);
    }
    
    public function save($args) 
    {
        $args['valid_until'] = $this->app->make('helper/form/date_time')->translate('valid_until', null);
        parent::save($args);
    }

}
