<?php
defined('C5_EXECUTE') or die("Access Denied.");

/**
 * ab_countdown package for Concrete5
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_countdown
 */

$bUID = $controller->getBlockUID($b);

$dh = $app->make('helper/date');
$fdt = $dh->formatDateTime($valid_until, true, true, 'user');
$fc = $dh->formatCustom("Y/m/d H:i:s", $valid_until, 'user', 'system');
if (version_compare(\Config::get('concrete.version_installed'), '8.1.0', '<')) {
    $td = strtotime($fc) - time();
}
else {
    $td = strtotime($valid_until) - time();
}

?>
 
<div class="ab-countdown">
    <?php 
    echo '<div class="countdown-valid-until">';
        if ($valid_until) {
            echo t('Valid until: ') . '<br />' . $fdt;
        }
    echo '</div>';
    
    echo '<div class="countdown-time-left">';
        if ($td <= 0) {
            echo '<i class="fa fa-clock-o"></i> ' . t('This offer has expired!');
        }
        else {
            echo t('Time left:') . '<br />' . '<i class="fa fa-clock-o"></i> ' . '<span id="countdown_' . $bUID . '"></span>';
        }
    echo '</div>';
    ?>
</div>

<script type="text/javascript">
$(function(){
    $('#countdown_<?php echo $bUID; ?>').countdown('<?php echo $fc; ?>')
    .on('update.countdown', function(event) {
        var format = '%H:%M:%S';
        if(event.offset.totalDays > 0) {
            format = '%-d %!d:<?php echo t("day,days"); ?>; ' + format;
        }
        if(event.offset.weeks > 0) {
            format = '%-w %!w:<?php echo t("week,weeks"); ?>; ' + format;
        }
        $(this).html(event.strftime(format));
    })
    .on('finish.countdown', function(event) {
        $(this).html('<?php echo t("This offer has expired!"); ?>').parent().addClass('disabled');
    });
});
</script>
